Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001531 [DCSS] Bug Report minor always 2010-05-12 02:42 2015-12-21 03:29
Reporter Abuse View Status public  
Assigned To wheals
Priority normal Resolution done  
Status resolved   Product Branch 0.6 ancient branch
Summary 0001531: No indication that you're sure.
Description Ok, so if you're targeting a breath weapon and there aren't monsters in sight, it targets you (which is kind of cumbersome anyways).

Then you hit . to target because you expect that the monster in LoS is within range.

And it prompts you "Really target yourself?"...

Then you hit N, thinking it's one of the case sensitive prompts.

The game gives no indication it heard you.

So then you're like "Did I push it hard enough? Did I typo? Did the connection to the server die? Is this lag?"

So then you hit N again.

This sends your breath weapon in the southeast direction, hitting and pissing off your 12 pet pan lords who just happened to be lined up in that diagonal who then procede to gangbang you to death.

Does anyone else see this as a problem?

Additional Information
Tags targeting
Attached Files

- Relationships
has duplicate 0002254resolvedwheals esc should always cancel command, not just prompt 
child of 0007071resolvedwheals Numerous issues with Targetting, Tracers, Clouds and Breaths 

-  Notes
(0004714)
OG17 (reporter)
2010-05-12 03:23

There could be some sort of "then pick another target" confirmation, or a "no" reply could just redraw the targetting text without the "really target yourself" prompt, effectively starting over. I agree that seemingly cancelling a self-aimed attack but silently remaining in the targetting system is pretty confusing.
(0004719)
Zicher (reporter)
2010-05-12 17:31

Workaround: Use Esc key instead of N for self-target cancellation.

However, the system _can be_ confusing, no doubt about that.
(0004727)
Abuse (reporter)
2010-05-12 19:25

Yeah, a simple "Okay than." acknowledgement or whatever would be helpful.
(0004729)
OG17 (reporter)
2010-05-13 00:04

Note that if you target a friendly monster and cancel at the prompt, you get "Okay, then," and the game drops you out of the targetting system entirely (where as self-targetting silently has you reselect a target). Self-targetting and friendly-targetting should have the same behavior here - I think reselecting a target is better, though, as it's more likely that players would want to adjust their aim than it is that they'd want to cancel altogether.
(0023594)
chris (updater)
2013-07-30 18:08

There now are warning messages before you hit friendly monsters in this situation. It's definitely weird how aborting this process will give you `Okay, then.` twice but only in the end, i.e. not before asking `Really fire through your quokka?`.
(0030040)
wheals (administrator)
2015-12-21 03:28

Fixed in https://github.com/crawl/crawl/commit/b70d30ce0aba; [^] hitting N will now take you out of the targetter entirely.

- Issue History
Date Modified Username Field Change
2010-05-12 02:42 Abuse New Issue
2010-05-12 03:23 OG17 Note Added: 0004714
2010-05-12 17:31 Zicher Note Added: 0004719
2010-05-12 19:25 Abuse Note Added: 0004727
2010-05-13 00:04 OG17 Note Added: 0004729
2010-05-14 18:22 rob Tag Attached: targeting
2013-05-21 18:03 mumra Relationship added child of 0007071
2013-07-30 18:08 chris Note Added: 0023594
2015-12-21 03:28 wheals Note Added: 0030040
2015-12-21 03:28 wheals Status new => resolved
2015-12-21 03:28 wheals Fixed in Branch => 0.18 development branch
2015-12-21 03:28 wheals Resolution open => done
2015-12-21 03:28 wheals Assigned To => wheals
2015-12-21 22:16 wheals Relationship added has duplicate 0002254


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker